<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwCaen: fwCaen.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwCaen
   &#160;<span id="projectnumber">8.4.6</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwCaen_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">fwCaen.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa27aaab50ce81f3e7ae0f75d713e16be"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaen_8ctl.html#aa27aaab50ce81f3e7ae0f75d713e16be">_fwCaen_parseXmlFile</a> (string caenEasyFileName, dyn_dyn_string &amp;listOfDevices, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aa27aaab50ce81f3e7ae0f75d713e16be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade2b5d96b59d0ee00bab348aa58fa82b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaen_8ctl.html#ade2b5d96b59d0ee00bab348aa58fa82b">_fwCaen_getAttributesOrChildNodeValue</a> (unsigned doc, unsigned node, string name, string &amp;value)</td></tr>
<tr class="separator:ade2b5d96b59d0ee00bab348aa58fa82b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8493c0c9fa8886fa003af4b1efb01bff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaen_8ctl.html#a8493c0c9fa8886fa003af4b1efb01bff">_fwCaen_printElements</a> (int docum, dyn_int elements)</td></tr>
<tr class="separator:a8493c0c9fa8886fa003af4b1efb01bff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:affc5d89a2aea1d8d380f0e17ed2389f2"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwCaen_8ctl.html#affc5d89a2aea1d8d380f0e17ed2389f2">JCOP_FRAMEWORK_CAEN_DEBUG</a> = &quot;JCOP_FRAMEWORK_CAEN_DEBUG&quot;</td></tr>
<tr class="separator:affc5d89a2aea1d8d380f0e17ed2389f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><dl class="section user"><dt>Creation Date</dt><dd>19/07/2010</dd></dl>
<dl class="section user"><dt>Constraints</dt><dd>CtrlXml and fwXML/fwXML.ctl libraries</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Manuel Gonzalez Berges (IT-CO) </dd>
<dd>
Jonas Arroyo Garcia (BE-ICS-FD)</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>CERN copyright </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="aa27aaab50ce81f3e7ae0f75d713e16be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa27aaab50ce81f3e7ae0f75d713e16be">&#9670;&nbsp;</a></span>_fwCaen_parseXmlFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwCaen_parseXmlFile </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>caenEasyFileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_string &amp;&#160;</td>
          <td class="paramname"><em>listOfDevices</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Internal function to parse an Easy System XML configuration file. It returns a dyn_dyn array with the list of devices.</p>
<dl class="section user"><dt>Constraints</dt><dd>CtrlXml and fwXML/fwXML.ctl libraries</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">caenEasyFileName</td><td>string: XML file name that has been produced by the CAEN Easy rack configuration for WinCC OA </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">listOfDevices</td><td>dyn_dyn_string: contains the list of devices parsed from the CAEN Easy rack XML file </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">exceptionInfo</td><td>dyn_string: returns details of any errors</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Nothing </dd></dl>

</div>
</div>
<a id="ade2b5d96b59d0ee00bab348aa58fa82b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade2b5d96b59d0ee00bab348aa58fa82b">&#9670;&nbsp;</a></span>_fwCaen_getAttributesOrChildNodeValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int _fwCaen_getAttributesOrChildNodeValue </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>doc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Internal function to get attributes or child node values in the Easy System XML configuration file. It returns the attribute value.</p>
<dl class="section user"><dt>Constraints</dt><dd>CtrlXml and fwXML/fwXML.ctl libraries</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">doc</td><td>unsigned: document id, kept in memory </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">node</td><td>unsigned: XML node id, kept in memory </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>string: attribute name to be read </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">value</td><td>string: attribute value read</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>int: 0 = success, -1 = error, no attribute name or node with the right name was found </dd></dl>

</div>
</div>
<a id="a8493c0c9fa8886fa003af4b1efb01bff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8493c0c9fa8886fa003af4b1efb01bff">&#9670;&nbsp;</a></span>_fwCaen_printElements()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwCaen_printElements </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>docum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>elements</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Print a list of node ids in memory</p>
<dl class="section user"><dt>Constraints</dt><dd>CtrlXml and fwXML/fwXML.ctl libraries</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Private</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">doc</td><td>unsigned: document id, kept in memory </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">elements</td><td>dyn_int: array with the list of nodes to print</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Nothing </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="affc5d89a2aea1d8d380f0e17ed2389f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affc5d89a2aea1d8d380f0e17ed2389f2">&#9670;&nbsp;</a></span>JCOP_FRAMEWORK_CAEN_DEBUG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string JCOP_FRAMEWORK_CAEN_DEBUG = &quot;JCOP_FRAMEWORK_CAEN_DEBUG&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Debug flag used to show only fwCaen debug messages on runtime </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwCaen_8ctl.html">fwCaen.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
